OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TreeData Struct Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for TreeData:

## Public Member Functions
TreeData & | operator= (const TreeData &other)
void | setRoot (const void *root)
uint8_t * | getRoot ()
const uint8_t * | getRoot () const
template<typename NodeT >
void | setFirstNode (const NodeT *node)
bool | isEmpty () const
CoordBBox | bbox () const
| Return the index bounding box of all the active values in this tree, i.e. in all nodes of the tree.
bool | isRootNext () const
| return true if RootData is layout out immediately after TreeData in memory

## Public Attributes
int64_t | mNodeOffset [4]
uint32_t | mNodeCount [3]
uint32_t | mTileCount [3]
uint64_t | mVoxelCount

## Member Function Documentation

## ◆ bbox()

CoordBBox bbox | ( |  | ) | const
| inline

Return the index bounding box of all the active values in this tree, i.e. in all nodes of the tree.

## ◆ getRoot() [1/2]

uint8_t * getRoot | ( |  | ) |
| inline

## ◆ getRoot() [2/2]

const uint8_t * getRoot | ( |  | ) | const
| inline

## ◆ isEmpty()

bool isEmpty | ( |  | ) | const
| inline

## ◆ isRootNext()

bool isRootNext | ( |  | ) | const
| inline

return true if RootData is layout out immediately after TreeData in memory

## ◆ operator=()

TreeData & operator= | ( | const TreeData & | other | ) |
| inline

## ◆ setFirstNode()

template<typename NodeT >

void setFirstNode | ( | const NodeT * | node | ) |
| inline

## ◆ setRoot()

void setRoot | ( | const void * | root | ) |
| inline

## Member Data Documentation

## ◆ mNodeCount

uint32_t mNodeCount[3]

## ◆ mNodeOffset

int64_t mNodeOffset[4]

## ◆ mTileCount

uint32_t mTileCount[3]

## ◆ mVoxelCount

uint64_t mVoxelCount